# Generated by Django 2.0.5 on 2021-11-02 12:26

from django.db import migrations


def update_device_mapping_values_as_list(apps, schema_editor):

    Provider = apps.get_model("accounts", "Provider")
    ProviderIntegration = apps.get_model("core", "ProviderIntegration")
    IntegrationType = apps.get_model("core", "IntegrationType")

    for provider in Provider.objects.all():
        try:
            logic_monitor_integration_id = IntegrationType.objects.get(
                name="LOGIC_MONITOR"
            ).category_id
            try:
                provider_integration = ProviderIntegration.objects.get(
                    provider=provider.id,
                    integration_type_id=logic_monitor_integration_id,
                )
                device_mappings = provider_integration.other_config.get("device_mappings")
                if device_mappings:
                    manufacturer_mapping = {}
                    for cw_mnf_id, mnf_mapping_value in device_mappings.items():
                        manufacturer_mapping[cw_mnf_id] = [mnf_mapping_value]
                    if manufacturer_mapping:
                        provider_integration.other_config.get("device_mappings").update(
                            manufacturer_mapping
                        )
                        provider_integration.save()
            except ProviderIntegration.DoesNotExist:
                pass
        except IntegrationType.DoesNotExist:
            pass


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0071_smartnetreceivingsetting_partial_receive_status"),
    ]

    operations = [
        migrations.RunPython(
            update_device_mapping_values_as_list,
        )
    ]
